Bug 820572 - Sportsclub example in ER5 cannot be build
Sportsclub example in ER5 cannot be build
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Examples, Spring (Show other bugs)
2.0.0.ER5
Unspecified Unspecified
urgent Severity high
: ---
: 2.0.0.ER6
Assigned To: Marek Novotny
Karel Piwko
sportsclub
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-10 08:09 EDT by Karel Piwko
Modified: 2012-06-22 03:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 03:32:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Piwko 2012-05-10 08:09:54 EDT
Description of problem:

Snowdrop dependencies are not up-to-date with EAP6 ER6 and WFK2 ER5.

Version-Release number of selected component (if applicable):

Spring 3.1 variant, however all are probably affected.


How reproducible:

Always.



Steps to Reproduce:
1. mvn -s /path/to/settings.xml clean package
  
Actual results:

Fails on missing dependencies.

net.sourceforge.cssparser -> likely invalid metadata
richfaces -> old version
jboss-javaee-*spec -> old version

Expected results:

It builds.

Additional info:

Workaround:

Modify sporstclub-bom to list the following:

        <dependencies>
            <dependency>
                <groupId>net.sourceforge.cssparser</groupId>
                <artifactId>cssparser</artifactId>
                 <version>0.9.5</version>
            </dependency>

            <dependency>
                <groupId>org.jboss.spec</groupId>
                <artifactId>jboss-javaee-6.0</artifactId>
                 <version>3.0.0.Final-redhat-1</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <dependency>
                <groupId>com.redhat.jboss.wfk.boms</groupId>
                <artifactId>spring-3.1-bom</artifactId>
                <version>2.0.0-redhat-6</version>
                <scope>import</scope>
                <type>pom</type>
            </dependency>

            <!-- Richfaces -->
            <dependency>
                <groupId>org.richfaces</groupId>
                <artifactId>richfaces-bom</artifactId>
                <version>4.2.1.Final-redhat-1</version>
                <scope>import</scope>
                <type>pom</type>
            </dependency>

           ... rest omitted for brevity...
Comment 2 Tomas Repel 2012-05-25 05:23:13 EDT
Verified in WFK2 ER6.

Note You need to log in before you can comment on or make changes to this bug.